tigase.db

## Enum AuthRepository.AccountStatus

- java.lang.Object
- - java.lang.Enum<AuthRepository.AccountStatus>
  - - tigase.db.AuthRepository.AccountStatus

- All Implemented Interfaces:
    Serializable, Comparable<AuthRepository.AccountStatus>
  Enclosing interface:
    AuthRepository

      public static enum AuthRepository.AccountStatus
      extends Enum<AuthRepository.AccountStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `active`
    `disabled`
    `paid`
    `pending`
    `system`
    `vip`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthRepository.AccountStatus` | `byValue(int value)`
    `int` | `getValue()`
    `static AuthRepository.AccountStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthRepository.AccountStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### active

          public static final AuthRepository.AccountStatus active

    - #### disabled

          public static final AuthRepository.AccountStatus disabled

    - #### pending

          public static final AuthRepository.AccountStatus pending

    - #### system

          public static final AuthRepository.AccountStatus system

    - #### vip

          public static final AuthRepository.AccountStatus vip

    - #### paid

          public static final AuthRepository.AccountStatus paid

  - ### Method Detail

    - #### values

          public static AuthRepository.AccountStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthRepository.AccountStatus c : AuthRepository.AccountStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthRepository.AccountStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### byValue

          public static AuthRepository.AccountStatus byValue(int value)

    - #### getValue

          public int getValue()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.